import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { CandyMachineData } from '../types/CandyMachineData';
export declare type InitializeV2InstructionArgs = {
    data: CandyMachineData;
    tokenStandard: number;
};
export declare const initializeV2Struct: beet.FixableBeetArgsStruct<InitializeV2InstructionArgs & {
    instructionDiscriminator: number[];
}>;
export declare type InitializeV2InstructionAccounts = {
    candyMachine: web3.PublicKey;
    authorityPda: web3.PublicKey;
    authority: web3.PublicKey;
    payer: web3.PublicKey;
    ruleSet?: web3.PublicKey;
    collectionMetadata: web3.PublicKey;
    collectionMint: web3.PublicKey;
    collectionMasterEdition: web3.PublicKey;
    collectionUpdateAuthority: web3.PublicKey;
    collectionDelegateRecord: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
    authorizationRulesProgram?: web3.PublicKey;
    authorizationRules?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const initializeV2InstructionDiscriminator: number[];
export declare function createInitializeV2Instruction(accounts: InitializeV2InstructionAccounts, args: InitializeV2InstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
