import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const setCollectionV2Struct: beet.BeetArgsStruct<{
    instructionDiscriminator: number[];
}>;
export declare type SetCollectionV2InstructionAccounts = {
    candyMachine: web3.PublicKey;
    authority: web3.PublicKey;
    authorityPda: web3.PublicKey;
    payer: web3.PublicKey;
    collectionUpdateAuthority: web3.PublicKey;
    collectionMint: web3.PublicKey;
    collectionMetadata: web3.PublicKey;
    collectionDelegateRecord: web3.PublicKey;
    newCollectionUpdateAuthority: web3.PublicKey;
    newCollectionMint: web3.PublicKey;
    newCollectionMetadata: web3.PublicKey;
    newCollectionMasterEdition: web3.PublicKey;
    newCollectionDelegateRecord: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
    authorizationRulesProgram?: web3.PublicKey;
    authorizationRules?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const setCollectionV2InstructionDiscriminator: number[];
export declare function createSetCollectionV2Instruction(accounts: SetCollectionV2InstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
