import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare type SetTokenStandardInstructionArgs = {
    tokenStandard: number;
};
export declare const setTokenStandardStruct: beet.BeetArgsStruct<SetTokenStandardInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export declare type SetTokenStandardInstructionAccounts = {
    candyMachine: web3.PublicKey;
    authority: web3.PublicKey;
    authorityPda: web3.PublicKey;
    payer: web3.PublicKey;
    ruleSet?: web3.PublicKey;
    collectionDelegateRecord: web3.PublicKey;
    collectionMint: web3.PublicKey;
    collectionMetadata: web3.PublicKey;
    collectionAuthorityRecord?: web3.PublicKey;
    collectionUpdateAuthority: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
    authorizationRulesProgram?: web3.PublicKey;
    authorizationRules?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const setTokenStandardInstructionDiscriminator: number[];
export declare function createSetTokenStandardInstruction(accounts: SetTokenStandardInstructionAccounts, args: SetTokenStandardInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
